Results 1 to 5 of 5

Thread: Citrix Client

  1. #1

    Default Citrix Client

    Hello, I am new in Linux. Cannot install Citrix Client. The message I receive is:

    ERROR
    Package /home/marina/Desktop/ICAClient-11.0-1.i386.rpm could not be installed.
    Details:
    Subprocess failed. Error: RPM failed: error: Failed dependencies: libXm.so.4 is needed by ICAClient-11.0-1.i386


    Please kindly advise. Many thanks.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,302
    Blog Entries
    15

    Default Re: Citrix Client

    Hi
    Did you install the openmotif requirement? Also was OS version are you
    using?

    FYI, the manual install from the version 11 tarball (gzipped file)
    installs fine on 11.1

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.1 (i586) Kernel 2.6.27.21-0.1-pae
    up 16:38, 3 users, load average: 1.62, 1.84, 1.51
    ASUS eeePC 1000HE ATOM N280 1.66GHz | GPU Mobile 945GM/GMS/GME


  3. #3

    Default Re: Citrix Client

    Thanks Malcolm. I downloaded and installed openmotif rpm package. After that Citrix got installed without a problem. It runs just well on Suse11.1, better than in MS Windows...

  4. #4

    Default Re: Citrix Client

    HI -- another newbie.

    I got the same error message. I loaded OpenMotif and tried again -- same error. I checked, and libXm.so.4 is in /usr/lib64/ (and so is libXm.so.4.0.1).

    Do I need to link it to a different directory somewhere?

  5. #5
    Join Date
    Jun 2009
    Location
    Pennsylvania, USA
    Posts
    233

    Default Re: Citrix Client

    Looks like ICAclient is i386 (32 bit) and your default is 64bit - I think you need to install the 32bit version of openMotif.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •